curl --request GET \
--url https://api.aisa.one/apis/v1/fred/release/series \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/release/series"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/release/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/release/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/release/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/release/series")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/release/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<seriess realtime_start="2017-08-01" realtime_end="2017-08-01" order_by="series_id" sort_order="asc" count="57" offset="0" limit="1000">
<series id="BOMTVLM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Travel" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="BOMVGMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: U.S. Government Miscellaneous Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:27:37-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVJMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Direct Defense Expenditures (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:26:44-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVMPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Passenger Fares" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="BOMVOMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Other Private Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:25:54-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVRMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Royalties and License Fees (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:25:04-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVSMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Other Transportation (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:24:23-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOPGEXP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Exports of Goods, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="40" group_popularity="39"/>
<series id="BOPGIMP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Imports of Goods: Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:58-05" popularity="31" group_popularity="31"/>
<series id="BOPGSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods and Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:32:14-05" popularity="62" group_popularity="62"/>
<series id="BOPGTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="40" group_popularity="39"/>
<series id="BOPSEXP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Exports of Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:58-05" popularity="27" group_popularity="27"/>
<series id="BOPSIMP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Imports of Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:58-05" popularity="18" group_popularity="18"/>
<series id="BOPSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:57-05" popularity="29" group_popularity="29"/>
<series id="BOPTEXP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Exports of Goods and Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:49-05" popularity="44" group_popularity="44"/>
<series id="BOPTIMP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Imports of Goods and Services: Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="38" group_popularity="37"/>
<series id="BOXTVLM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Travel" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="21" group_popularity="21"/>
<series id="BOXVGMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: U.S. Government Miscellaneous Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:20:14-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVJMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Transfers Under U.S. Military Sales Contracts (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:19:22-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVMPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Passenger Fares" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="BOXVOMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Other Private Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:18:23-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVRMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Royalties and License Fees (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:16:46-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVSMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Other Transportation (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:15:53-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="EXPCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Canada, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="27" group_popularity="27" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPCH" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to China, Mainland, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:57-05" popularity="40" group_popularity="40" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPFR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to France, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="7" group_popularity="7" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPGE" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Germany, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="23" group_popularity="23" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPJP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Japan, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:20-05" popularity="49" group_popularity="48" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPKR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to South Korea, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="20" group_popularity="20" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPMX" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Mexico, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="31" group_popularity="31" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPUK" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to the United Kingdom, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="11" group_popularity="11" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="IMPCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Canada, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="25" group_popularity="25"/>
<series id="IMPCH" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from China, Mainland, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:42-05" popularity="44" group_popularity="44"/>
<series id="IMPFR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from France, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:34:00-05" popularity="11" group_popularity="11"/>
<series id="IMPGE" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Germany, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:50-05" popularity="29" group_popularity="29"/>
<series id="IMPJP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Japan, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:49-05" popularity="46" group_popularity="46"/>
<series id="IMPKR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from South Korea, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:34:00-05" popularity="26" group_popularity="26"/>
<series id="IMPMX" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Mexico, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="36" group_popularity="36"/>
<series id="IMPUK" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from the United Kingdom, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:34:00-05" popularity="7" group_popularity="7"/>
<series id="ITMCIPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Charges for the Use of Intellectual Property, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMFISM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Financial Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="ITMGGSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Government Goods and Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMINSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Insurance Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="ITMMARM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Maintenance and Repair Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMOBSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Other Business Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMTAEM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Travel (for All Purposes Including Education)" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMTCIM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Telecommunications, Computer, and Information Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="ITMTRAM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Transport" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXCIPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Charges for the Use of Intellectual Property, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXFISM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Financial Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="34" group_popularity="33"/>
<series id="ITXGGSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Government Goods and Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXINSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Insurance Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXMARM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Maintenance and Repair Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXOBSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Other Business Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:02-05" popularity="0" group_popularity="0"/>
<series id="ITXTAEM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Travel (for All Purposes Including Education)" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="0" group_popularity="0"/>
<series id="ITXTCIM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Telecommunications, Computer, and Information Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="7" group_popularity="7"/>
<series id="ITXTRAM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Transport" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:02-05" popularity="0" group_popularity="0"/>
</seriess>Get Release Series
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/release/series \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/release/series"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/release/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/release/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/release/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/release/series")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/release/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<seriess realtime_start="2017-08-01" realtime_end="2017-08-01" order_by="series_id" sort_order="asc" count="57" offset="0" limit="1000">
<series id="BOMTVLM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Travel" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="BOMVGMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: U.S. Government Miscellaneous Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:27:37-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVJMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Direct Defense Expenditures (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:26:44-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVMPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Passenger Fares" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="BOMVOMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Other Private Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:25:54-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVRMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Royalties and License Fees (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:25:04-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOMVSMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services - Other Transportation (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:24:23-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOPGEXP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Exports of Goods, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="40" group_popularity="39"/>
<series id="BOPGIMP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Imports of Goods: Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:58-05" popularity="31" group_popularity="31"/>
<series id="BOPGSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods and Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:32:14-05" popularity="62" group_popularity="62"/>
<series id="BOPGTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Goods, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="40" group_popularity="39"/>
<series id="BOPSEXP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Exports of Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:58-05" popularity="27" group_popularity="27"/>
<series id="BOPSIMP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Imports of Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:58-05" popularity="18" group_popularity="18"/>
<series id="BOPSTB" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Trade Balance: Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:57-05" popularity="29" group_popularity="29"/>
<series id="BOPTEXP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Exports of Goods and Services, Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:49-05" popularity="44" group_popularity="44"/>
<series id="BOPTIMP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="Imports of Goods and Services: Balance of Payments Basis" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:50-05" popularity="38" group_popularity="37"/>
<series id="BOXTVLM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Travel" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="21" group_popularity="21"/>
<series id="BOXVGMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: U.S. Government Miscellaneous Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:20:14-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVJMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Transfers Under U.S. Military Sales Contracts (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:19:22-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVMPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Passenger Fares" observation_start="1992-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="BOXVOMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Other Private Services (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:18:23-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVRMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Royalties and License Fees (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:16:46-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="BOXVSMM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services - Other Transportation (DISCONTINUED)" observation_start="1992-01-01" observation_end="2013-12-01" frequency="Monthly" frequency_short="M" units="Million of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2014-10-20 09:15:53-05" popularity="0" group_popularity="0" notes="BEA has introduced new table presentations, including a new presentation of services, as part of a comprehensive restructuring of BEA’s international economic accounts.For more information see http://www.bea.gov/international/revision-2014.htm."/>
<series id="EXPCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Canada, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="27" group_popularity="27" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPCH" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to China, Mainland, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:57-05" popularity="40" group_popularity="40" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPFR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to France, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="7" group_popularity="7" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPGE" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Germany, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="23" group_popularity="23" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPJP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Japan, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:20-05" popularity="49" group_popularity="48" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPKR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to South Korea, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="20" group_popularity="20" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPMX" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to Mexico, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="31" group_popularity="31" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="EXPUK" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Goods to the United Kingdom, f.a.s. basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="11" group_popularity="11" notes="Free Alongside Ship Basis (f.a.s.)"/>
<series id="IMPCA" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Canada, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:59-05" popularity="25" group_popularity="25"/>
<series id="IMPCH" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from China, Mainland, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:42-05" popularity="44" group_popularity="44"/>
<series id="IMPFR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from France, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:34:00-05" popularity="11" group_popularity="11"/>
<series id="IMPGE" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Germany, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:50-05" popularity="29" group_popularity="29"/>
<series id="IMPJP" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Japan, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:49-05" popularity="46" group_popularity="46"/>
<series id="IMPKR" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from South Korea, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:34:00-05" popularity="26" group_popularity="26"/>
<series id="IMPMX" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from Mexico, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:33:58-05" popularity="36" group_popularity="36"/>
<series id="IMPUK" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Goods from the United Kingdom, Customs Basis" observation_start="1985-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Not Seasonally Adjusted" seasonal_adjustment_short="NSA" last_updated="2017-07-06 09:34:00-05" popularity="7" group_popularity="7"/>
<series id="ITMCIPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Charges for the Use of Intellectual Property, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMFISM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Financial Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="ITMGGSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Government Goods and Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMINSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Insurance Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="ITMMARM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Maintenance and Repair Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMOBSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Other Business Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMTAEM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Travel (for All Purposes Including Education)" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITMTCIM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Telecommunications, Computer, and Information Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:00-05" popularity="0" group_popularity="0"/>
<series id="ITMTRAM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Imports of Services: Transport" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXCIPM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Charges for the Use of Intellectual Property, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXFISM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Financial Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="34" group_popularity="33"/>
<series id="ITXGGSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Government Goods and Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXINSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Insurance Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXMARM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Maintenance and Repair Services, not included elsewhere" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:01-05" popularity="0" group_popularity="0"/>
<series id="ITXOBSM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Other Business Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:02-05" popularity="0" group_popularity="0"/>
<series id="ITXTAEM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Travel (for All Purposes Including Education)" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="0" group_popularity="0"/>
<series id="ITXTCIM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Telecommunications, Computer, and Information Services" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:33:59-05" popularity="7" group_popularity="7"/>
<series id="ITXTRAM133S" realtime_start="2017-08-01" realtime_end="2017-08-01" title="U.S. Exports of Services: Transport" observation_start="1999-01-01" observation_end="2017-05-01" frequency="Monthly" frequency_short="M" units="Millions of Dollars" units_short="Mil. of $" seasonal_adjustment="Seasonally Adjusted" seasonal_adjustment_short="SA" last_updated="2017-07-06 09:34:02-05" popularity="0" group_popularity="0"/>
</seriess>Request contract
- Method and path: GET /apis/v1/fred/release/series
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/fred/release/series
- exclude_tag_names: query; optional
- file_type: query; optional
- filter_value: query; optional
- filter_variable: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- release_id: query; required
- sort_order: query; optional
- tag_names: query; optional
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_fred_release_series",
"method": "GET",
"path": "/apis/v1/fred/release/series",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "exclude_tag_names",
"in": "query",
"required": false,
"schema": {
"type": "string"
},
"description": "A semicolon delimited list of tag names that series match none of.\nString, optional, no filtering by tags by default.\nExample value: 'imports;services'. Filter results to series having neither tag 'imports' nor tag 'services'.\nParameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series.",
"x-aisa-reference-declarations": [
"String, optional, no filtering by tags by default.",
"Example value: 'imports;services'. Filter results to series having neither tag 'imports' nor tag 'services'.",
"Parameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series."
]
},
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"name": "filter_value",
"in": "query",
"required": false,
"schema": {
"type": "string"
},
"description": "The value of the filter_variable attribute to filter results by.\nString, optional, no filter by default",
"x-aisa-reference-declarations": [
"String, optional, no filter by default"
]
},
{
"name": "filter_variable",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"frequency",
"units",
"seasonal_adjustment"
]
},
"description": "The attribute to filter results by.\nOne of the following strings: 'frequency', 'units', 'seasonal_adjustment'.\noptional, no filter by default",
"x-aisa-reference-declarations": [
"One of the following strings: 'frequency', 'units', 'seasonal_adjustment'.",
"optional, no filter by default"
]
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 1000,
"default": 1000
},
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"name": "offset",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 0,
"default": 0
},
"description": "non-negative integer, optional, default: 0",
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"name": "order_by",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"series_id",
"title",
"units",
"frequency",
"seasonal_adjustment",
"realtime_start",
"realtime_end",
"last_updated",
"observation_start",
"observation_end",
"popularity",
"group_popularity"
],
"default": "series_id"
},
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity','group_popularity'.\noptional, default: series_id",
"x-aisa-reference-declarations": [
"One of the following strings: 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity','group_popularity'.",
"optional, default: series_id"
]
},
{
"name": "realtime_end",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "realtime_start",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "release_id",
"in": "query",
"required": true,
"schema": {
"type": "integer"
},
"description": "The id for a release.\ninteger, required",
"x-aisa-reference-declarations": [
"integer, required"
]
},
{
"name": "sort_order",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"asc",
"desc"
],
"default": "asc"
},
"description": "Sort results is ascending or descending order for attribute values specified by order_by.\nOne of the following strings: 'asc', 'desc'.\noptional, default: asc",
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', 'desc'.",
"optional, default: asc"
]
},
{
"name": "tag_names",
"in": "query",
"required": false,
"schema": {
"type": "string"
},
"description": "A semicolon delimited list of tag names that series match all of.\nString, optional, no filtering by tags by default\nExample value: 'japan;imports'. Filter results to series having both tags 'japan' and 'imports'.\nSee the related request fred/tags .",
"x-aisa-reference-declarations": [
"String, optional, no filtering by tags by default",
"Example value: 'japan;imports'. Filter results to series having both tags 'japan' and 'imports'.",
"See the related request fred/tags ."
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A semicolon delimited list of tag names that series match none of. String, optional, no filtering by tags by default. Example value: 'imports;services'. Filter results to series having neither tag 'imports' nor tag 'services'. Parameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series.
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json The value of the filter_variable attribute to filter results by. String, optional, no filter by default
The attribute to filter results by. One of the following strings: 'frequency', 'units', 'seasonal_adjustment'. optional, no filter by default
frequency, units, seasonal_adjustment The maximum number of results to return. integer between 1 and 1000, optional, default: 1000
1 <= x <= 1000non-negative integer, optional, default: 0
x >= 0Order results by values of the specified attribute. One of the following strings: 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity','group_popularity'. optional, default: series_id
series_id, title, units, frequency, seasonal_adjustment, realtime_start, realtime_end, last_updated, observation_start, observation_end, popularity, group_popularity The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The id for a release. integer, required
Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: asc
asc, desc A semicolon delimited list of tag names that series match all of. String, optional, no filtering by tags by default Example value: 'japan;imports'. Filter results to series having both tags 'japan' and 'imports'. See the related request fred/tags .
Response
Official representation and examples only; no complete response schema is declared.